class LocationIds:
    RAMBLESHACK_JAIL_WORLD = '1158195990.71jubutler'
    RAMBLESHACK_DOCK = '1190757402.45joswilso'
    RAMBLESHACK_ISLAND = '1115838800a.3jubutler'
    RAMBLESHACK_INSIDE = '1159905354.84jubutler'
    PORT_ROYAL_ISLAND = '1150922126.8dzlu'
    PORT_ROYAL_PORT = '1155695180.13sdnaik'
    PORT_ROYAL_FORT_CHARLES = '1224019183.05akelts'
    PORT_ROYAL_CAVE_A = '1235605888.0akelts'
    PORT_ROYAL_CAVE_B = '1228348366.44akelts'
    PORT_ROYAL_JUNGLE_A = '1169592956.59sdnaik'
    PORT_ROYAL_JUNGLE_B = '1161798288.34sdnaik'
    PORT_ROYAL_JUNGLE_C = '1164141722.61sdnaik'
    ANY_PORT_ROYAL_JUNGLE = 'AnyPortRoyalJungle'
    ANY_PORT_ROYAL_CAVE = 'AnyPortRoyalCave'
    GOVERNORS_MANSION_COURTYARD = '1188163728.78joswilso'
    PORT_ROYAL_DINGHY = '1219946112.0akelts3'
    PORT_ROYAL_GRAVEYARD = '1188511028.75joswilso'
    FORT_CHARLES = '1150922126.8akelts'
    PORT_ROYAL_JAIL = '1183482682.31kmuller0'
    PORT_ROYAL_ALL = 'AllOfPortRoyal'
    GOVERNORS_MANSION = '1168033330.17kmuller'
    FULLERS_BLACKSMITH = '1155771754.68fxlara0'
    JUNEGREER_RESIDENCE = '1219945088.0akelts0'
    SMITTYS_JEWELRY = '1155773612.45fxlara0'
    ROWDYROOSTER_TAVERN = '1153419689.81dzlu0'
    ROYALANCHOR_TAVERN = '1153419634.08dzlu0'
    GRAHAM_IMPORTS = '1219777920.0akelts0'
    EWANS_WEAPONS = '1155774289.03fxlara0'
    OLD_WAREHOUSE = '1159905354.84jubutler'
    RSMITH_PEWTERER = '1155244887.43dzlu0'
    SOLOMONS_TATTOOS = '1155767402.81fxlara0'
    BASILS_BARBER = '1153419342.98dzlu0'
    BLAKELEYS_RESIDENCE = '1153419460.35dzlu0'
    TURNBULLS_WEAPONS = '1153420657.11dzlu0'
    WALLACE_BLACKSMITH = '1153423464.2dzlu0'
    TRUEHOUNDS_TAILOR = '1153417506.13dzlu0'
    MCCRAKENS_WEAPONS = '1219873408.0akelts0'
    TORTUGA_ISLAND = '1156207188.95dzlu'
    TORTUGA_PORT = '1158295517.91sdnaik'
    TORTUGA_JUNGLE_A_GRAVEYARD = '1165004570.58sdnaik'
    TORTUGA_JUNGLE_B_SWAMPY = '1165009856.72sdnaik'
    TORTUGA_JUNGLE_C = '1165009873.53sdnaik'
    TORTUGA_CAVE = '1245948731.45akelts'
    TORTUGA_SWAMP = '1169179552.88sdnaik'
    TORTUGA_JAIL = '1168559956.74dxschafe0'
    TORTUGA_ALL = 'AllOfTortuga'
    FAITHFULBRIDE_TAVERN = '1156207773.33dzlu0'
    KINGSARM_TAVERN = '1156279370.48dzlu0'
    BOWDASH_MANSION = '1156207578.91dzlu0'
    WRIGHTS_BLACKSMITH = '1231799724.82caoconno0'
    FLATTS_WEAPONS = '1156207523.59dzlu0'
    VALLANCE_WEAPONS = '1231799668.74caoconno0'
    SEAMSTRESS_TAILOR = '1231366863.52caoconno0'
    DOCTOR_GROGS = '1231376610.68caoconno0'
    FLINTYS_BLACKSMITH = '1156279185.81dzlu0'
    TRADING_COMPANY = '1156267951.67dzlu0'
    ORINDAS_SHACK = '1156269565.62dzlu0'
    BOATSWAINS_HOUSE = '1156207603.55dzlu0'
    THAYERS_WEAPONS = '1156267902.64dzlu0'
    MILLIES_COTTAGE = '1231881958.14caoconno0'
    CALLECUTTERS_TAILOR = '1156268617.43dzlu0'
    LOCKSPINNERS_BARBER = '1156270917.73dzlu0'
    MINGS_JEWELRY = '1156279216.23dzlu0'
    BONITAS_TATTOOS = '1156279496.29dzlu0'
    SHIPCRASH_WEAPONS = '1219777792.0akelts0'
    EITC_OUTPOST = '1238437401.82akelts0'
    UNDEAD_POKER_SHACK = '1277412476.63caoconno'
    UNDEAD_POKER_SHACK_INTERIOR = '1277412476.63caoconno0'
    DEL_FUEGO_ISLAND = '1233100928.0akelts'
    DEL_FUEGO_FORT_DUNDEE = '1271787092.13piwanow'
    DEL_FUEGO_PORT = '1158285017.39sdnaik'
    DEL_FUEGO_PORT_PULGAS = '1175622157.78sdnaik'
    DEL_FUEGO_CAVE_C = '1245948708.12akelts'
    DEL_FUEGO_CAVE_D = '1245946851.97akelts'
    DEL_FUEGO_CAVE_E = '1245946794.3akelts'
    DEL_FUEGO_JUNGLE_B = '1167857698.16sdnaik'
    DEL_FUEGO_JAIL = '1233186688.0akelts6'
    DEL_FUEGO_ALL = 'AllOfPadresDelFuego'
    CESARS_BARBER = '1233104728.03akelts0'
    RATSKELLAR_TAVERN = '1233104245.0akelts0'
    CORAZON_TATTOOS = '1233168896.0akelts0'
    FERRERAS_BLACKSMITH = '1233104331.73akelts0'
    SKULLSTHUNDER_TAVERN = '1233168512.0akelts4'
    PERLAS_JEWELRY = '1233168640.0akelts0'
    ANTONLEVY_BLACKSMITH = '1233168768.0akelts0'
    GRIMSDITCH_WEAPONS = '1233168640.0akelts6'
    DOLORES_TAILOR = '1233168896.0akelts3'
    DEAFGUNNYS_WEAPONS = '1234996864.0akelts0'
    GARRETTS_HOUSE = '1233104636.44akelts0'
    GOSLIN_TAVERN = '1233252864.0akelts3'
    FLAVIOS_BARBER = '1233252608.0akelts3'
    BLANCAS_TAILOR = '1233252608.0akelts0'
    FOUSTOS_JEWELRY = '1233252992.0akelts3'
    PETES_WEAPONS = '1233252736.0akelts6'
    THORHAMMER_BLACKSMITH = '1233252736.0akelts12'
    GUNNERS_SHACK = '1233104098.2akelts0'
    NINAS_TATTOOS = '1233252608.0akelts6'
    ANVIL_ISLAND = '1164135492.81dzlu'
    ANVIL_PORT = '1168745928.39WDIG'
    ANVIL_CAVE_BARBOSA = '1172209006.11sdnaik'
    ANVIL_ALL = 'AllOfDevilsAnvil'
    DRIFTWOOD_ISLAND = '1164763706.66sdnaik'
    DRIFTWOOD_PORT = '1176252928.0mike1'
    DRIFTWOOD_ALL = 'AllOfDriftwood'
    RUMRUNNER_ISLE = '1161282725.84kmuller'
    RUMRUNNER_PORT = '1176253312.0mike'
    RUMRUNNER_CELLAR = '1185994805.82kmuller0'
    RUMRUNNER_ALL = 'AllOfRumrunners'
    ISLA_PERDIDA = '1164157132.99dzlu'
    PERDIDA_PORT = '1168745561.13WDIG'
    PERDIDA_JUNGLE_B = '1172209955.25sdnaik'
    PERDIDA_ALL = 'AllOfPerdida'
    CUBA_ISLAND = '1160614528.73sdnaik'
    CUBA_PORT = '1162600301.39sdnaik'
    CUBA_SWAMP = '1161732578.06sdnaik'
    CUBA_JAIL = '1171314304.0dxschafe0'
    CUBA_ALL = 'AllOfCuba'
    LA_BODEGUITA = '1190741504.0dxschafe0'
    DAGGERFLINTS_TATTOOS = '1171316864.0dxschafe2'
    PUGPRATTS_TAILOR = '1171316864.0dxschafe0'
    KINGSHEAD_ISLAND = '1159933206.48sdnaik'
    KINGSHEAD_PORT = '1168743023.63sdnaik'
    KINGSHEAD_PORT_REAR = '1168743125.73sdnaik'
    KINGSHEAD_OUTER_DOOR = '1189479168.0sdnaik'
    KINGSHEAD_INTERIOR = '1189479168.0sdnaik0'
    KINGSHEAD_JAIL = '1170964864.0dxschafe'
    KINGSHEAD_ALL = 'AllOfKingshead'
    ISLA_CANGREJOS = '1156359855.24bbathen'
    CANGREJOS_PORT = '1158295957.41sdnaik'
    CANGREJOS_ALL = 'AllOfCangrejos'
    CUTTHROAT_ISLAND = '1173382404.64sdnaik'
    CUTTHROAT_PORT = '1173382757.63sdnaik'
    CUTTHROAT_JUNGLE = '1167857698.16naiksd'
    CUTTHROAT_ALL = 'AllOfCutthroat'
    OUTCAST_ISLE = '1173381952.2sdnaik'
    OUTCAST_PORT = '1173382841.06sdnaik'
    OUTCAST_ALL = 'AllOfOutcast'
    ISLA_TORMENTA = '1164150392.42dzlu'
    TORMENTA_PORT = '1168741735.28sdnaik'
    TORMENTA_CAVE_B = '1245949184.0akelts'
    TORMENTA_ALL = 'AllOfTormenta'
    ISLA_AVARICIA = '1196970035.53sdnaik'
    AVARICIAS_TAVERN = '1204237124.2akelts0'
    ISLA_DE_PORC = '1196970080.56sdnaik'
    PORCS_TAVERN = '1202846053.19akelts0'
    PEARL_ISLAND = '1171761224.13sdnaik'
    PARLOR_BUILDING = '1161805620.28Shochet'
    ANY_LARGE_ISLAND = 'AnyLargeIsland'
    POTION_ISLANDS = 'PotionIslands'
    FISHING_ISLANDS = 'FishingIslands'
    ANY_LARGE_PORT = 'AnyLargePort'
    ANY_WILD_ISLAND = 'AnyWildIsland'
    ANY_WILD_PORT = 'AnyWildPort'
    ANY_ISLAND = 'AnyIsland'
    CANNON_DEFENSE = '1257979851.56akelts'
    RAVENS_COVE_ISLAND = '1271348547.01akelts'
    RAVENS_COVE_MINE = '1273785598.15caoconno'
    RAVENS_COVE_SHIP = '1284583371.72piwanow'
    RAVENS_COVE_JAIL = '1271353470.51akelts0'
    RAVENS_COVE_ALL = 'AllOfRavensCove'
    RAVENS_COVE_CAVE = '1287003334.04akelts0'
    SCRIMMAGE_ISLAND = '1164763736.66zacp'
    MOLTEN_CAVERN = '1175562995.67zpavlov'
    BOULDER_HILL = '1170793088.0jubutler'
    PILLAGERS_PASS = '1170793088.0jubutler'
    WINDWARD_PASSAGE = 'Windward_Passage'
    BRIGAND_BAY = 'Brigand_Bay'
    BLOODY_BAYOU = 'Bloody_Bayou'
    SCURVY_SHALLOWS = 'Scurvy_Shallows'
    BLACKHEART_STRAIT = 'Blackheart_Strait'
    SALTY_FLATS = 'Salty_Flats'
    MAR_DE_PLATA = 'Mar_de_Plata'
    SMUGGLERS_RUN = 'Smugglers_Run'
    THE_HINTERSEAS = 'The_Hinterseas'
    DEAD_MANS_TROUGH = 'Dead_Mans_Trough'
    LEEWARD_PASSAGE = 'Leeward_Passage'
    BOILING_BAY = 'Boiling_Bay'
    MARINERS_REEF = 'Mariners_Reef'
    UNCHARTED_WATERS = 'Uncharted_Waters'
    THE_HIGH_SEAS = 'The_High_Seas'
    ANY_LOCATION = 'AnyLocation'
    ANY_CAVE = 'AnyCave'
    ANY_JUNGLE = 'AnuJungle'
    ANY_JAIL = 'AnyJail'
    LocationDefs = {ANY_CAVE: (PORT_ROYAL_CAVE_A, PORT_ROYAL_CAVE_B, TORTUGA_CAVE, DEL_FUEGO_CAVE_C, DEL_FUEGO_CAVE_D, DEL_FUEGO_CAVE_E, ANVIL_CAVE_BARBOSA, TORMENTA_CAVE_B, RAVENS_COVE_MINE),ANY_JUNGLE: (PORT_ROYAL_JUNGLE_A, PORT_ROYAL_JUNGLE_B, PORT_ROYAL_JUNGLE_C, TORTUGA_JUNGLE_A_GRAVEYARD, TORTUGA_JUNGLE_B_SWAMPY, TORTUGA_JUNGLE_C, DEL_FUEGO_JUNGLE_B, PERDIDA_JUNGLE_B, CUBA_SWAMP),ANY_JAIL: (RAVENS_COVE_JAIL, KINGSHEAD_JAIL, CUBA_JAIL, DEL_FUEGO_JAIL, TORTUGA_JAIL, PORT_ROYAL_JAIL),PORT_ROYAL_ISLAND: (PORT_ROYAL_ISLAND,),PORT_ROYAL_PORT: (PORT_ROYAL_PORT,),PORT_ROYAL_FORT_CHARLES: (PORT_ROYAL_FORT_CHARLES,),FORT_CHARLES: (FORT_CHARLES,),PORT_ROYAL_CAVE_A: (PORT_ROYAL_CAVE_A,),PORT_ROYAL_CAVE_B: (PORT_ROYAL_CAVE_B,),ANY_PORT_ROYAL_CAVE: (PORT_ROYAL_CAVE_A, PORT_ROYAL_CAVE_B),PORT_ROYAL_JUNGLE_A: (PORT_ROYAL_JUNGLE_A,),PORT_ROYAL_JUNGLE_B: (PORT_ROYAL_JUNGLE_B,),PORT_ROYAL_JUNGLE_C: (PORT_ROYAL_JUNGLE_C,),ANY_PORT_ROYAL_JUNGLE: (PORT_ROYAL_JUNGLE_A, PORT_ROYAL_JUNGLE_B, PORT_ROYAL_JUNGLE_C),GOVERNORS_MANSION: (GOVERNORS_MANSION,),GOVERNORS_MANSION_COURTYARD: (GOVERNORS_MANSION_COURTYARD,),PORT_ROYAL_GRAVEYARD: (PORT_ROYAL_GRAVEYARD,),PORT_ROYAL_DINGHY: (PORT_ROYAL_DINGHY,),PORT_ROYAL_ALL: (PORT_ROYAL_ISLAND, PORT_ROYAL_PORT, PORT_ROYAL_FORT_CHARLES, FORT_CHARLES, PORT_ROYAL_CAVE_A, PORT_ROYAL_CAVE_B, PORT_ROYAL_JUNGLE_A, PORT_ROYAL_JUNGLE_B, PORT_ROYAL_JUNGLE_C, GOVERNORS_MANSION, GOVERNORS_MANSION_COURTYARD, PORT_ROYAL_GRAVEYARD, PORT_ROYAL_DINGHY),TORTUGA_ISLAND: (TORTUGA_ISLAND,),TORTUGA_PORT: (TORTUGA_PORT,),TORTUGA_JUNGLE_A_GRAVEYARD: (TORTUGA_JUNGLE_A_GRAVEYARD,),TORTUGA_JUNGLE_B_SWAMPY: (TORTUGA_JUNGLE_B_SWAMPY,),TORTUGA_JUNGLE_C: (TORTUGA_JUNGLE_C,),TORTUGA_CAVE: (TORTUGA_CAVE,),TORTUGA_SWAMP: (TORTUGA_SWAMP,),TORTUGA_ALL: (TORTUGA_ISLAND, TORTUGA_PORT, TORTUGA_JUNGLE_A_GRAVEYARD, TORTUGA_JUNGLE_B_SWAMPY, TORTUGA_JUNGLE_C, TORTUGA_CAVE, TORTUGA_SWAMP),DEL_FUEGO_ISLAND: (DEL_FUEGO_ISLAND,),DEL_FUEGO_FORT_DUNDEE: (DEL_FUEGO_FORT_DUNDEE, DEL_FUEGO_ISLAND),DEL_FUEGO_PORT: (DEL_FUEGO_PORT,),DEL_FUEGO_PORT_PULGAS: (DEL_FUEGO_PORT_PULGAS,),DEL_FUEGO_CAVE_C: (DEL_FUEGO_CAVE_C,),DEL_FUEGO_CAVE_D: (DEL_FUEGO_CAVE_D,),DEL_FUEGO_CAVE_E: (DEL_FUEGO_CAVE_E,),DEL_FUEGO_JUNGLE_B: (DEL_FUEGO_JUNGLE_B,),DEL_FUEGO_ALL: (DEL_FUEGO_ISLAND, DEL_FUEGO_FORT_DUNDEE, DEL_FUEGO_PORT, DEL_FUEGO_PORT_PULGAS, DEL_FUEGO_CAVE_C, DEL_FUEGO_CAVE_D, DEL_FUEGO_CAVE_E, DEL_FUEGO_JUNGLE_B),CUBA_ISLAND: (CUBA_ISLAND,),CUBA_PORT: (CUBA_PORT,),CUBA_SWAMP: (CUBA_SWAMP,),CUBA_ALL: (CUBA_ISLAND, CUBA_PORT, CUBA_SWAMP),KINGSHEAD_ISLAND: (KINGSHEAD_ISLAND,),KINGSHEAD_PORT: (KINGSHEAD_PORT,),KINGSHEAD_PORT_REAR: (KINGSHEAD_PORT_REAR,),KINGSHEAD_ALL: (KINGSHEAD_ISLAND, KINGSHEAD_PORT, KINGSHEAD_PORT_REAR),ANVIL_ISLAND: (ANVIL_ISLAND,),ANVIL_PORT: (ANVIL_PORT,),ANVIL_CAVE_BARBOSA: (ANVIL_CAVE_BARBOSA,),ANVIL_ALL: (ANVIL_ISLAND, ANVIL_PORT, ANVIL_CAVE_BARBOSA),DRIFTWOOD_ISLAND: (DRIFTWOOD_ISLAND,),DRIFTWOOD_PORT: (DRIFTWOOD_PORT,),DRIFTWOOD_ALL: (DRIFTWOOD_ISLAND, DRIFTWOOD_PORT),RUMRUNNER_ISLE: (RUMRUNNER_ISLE,),RUMRUNNER_PORT: (RUMRUNNER_PORT,),RUMRUNNER_CELLAR: (RUMRUNNER_CELLAR,),RUMRUNNER_ALL: (RUMRUNNER_ISLE, RUMRUNNER_PORT, RUMRUNNER_CELLAR),ISLA_PERDIDA: (ISLA_PERDIDA,),PERDIDA_PORT: (PERDIDA_PORT,),PERDIDA_JUNGLE_B: (PERDIDA_JUNGLE_B,),PERDIDA_ALL: (ISLA_PERDIDA, PERDIDA_PORT, PERDIDA_JUNGLE_B),OUTCAST_ISLE: (OUTCAST_ISLE,),OUTCAST_PORT: (OUTCAST_PORT,),OUTCAST_ALL: (OUTCAST_ISLE, OUTCAST_PORT),ISLA_TORMENTA: (ISLA_TORMENTA,),TORMENTA_PORT: (TORMENTA_PORT,),TORMENTA_CAVE_B: (TORMENTA_CAVE_B,),TORMENTA_ALL: (ISLA_TORMENTA, TORMENTA_PORT, TORMENTA_CAVE_B),CUTTHROAT_ISLAND: (CUTTHROAT_ISLAND,),CUTTHROAT_PORT: (CUTTHROAT_PORT,),CUTTHROAT_ALL: (CUTTHROAT_ISLAND, CUTTHROAT_PORT),ISLA_CANGREJOS: (ISLA_CANGREJOS,),CANGREJOS_PORT: (CANGREJOS_PORT,),CANGREJOS_ALL: (ISLA_CANGREJOS, CANGREJOS_PORT),ISLA_AVARICIA: (ISLA_AVARICIA,),ISLA_DE_PORC: (ISLA_DE_PORC,),RAVENS_COVE_ISLAND: (RAVENS_COVE_ISLAND,),RAVENS_COVE_MINE: (RAVENS_COVE_MINE,),RAVENS_COVE_SHIP: (RAVENS_COVE_SHIP,),RAVENS_COVE_ALL: (RAVENS_COVE_ISLAND, RAVENS_COVE_MINE, RAVENS_COVE_SHIP),ANY_LARGE_ISLAND: (PORT_ROYAL_ISLAND, TORTUGA_ISLAND, DEL_FUEGO_ISLAND, CUBA_ISLAND, KINGSHEAD_ISLAND, RAVENS_COVE_ISLAND),POTION_ISLANDS: (PORT_ROYAL_ISLAND, TORTUGA_ISLAND, DEL_FUEGO_ISLAND, CUBA_ISLAND),FISHING_ISLANDS: (PORT_ROYAL_ISLAND, TORTUGA_ISLAND, DEL_FUEGO_ISLAND),ANY_LARGE_PORT: (PORT_ROYAL_PORT, TORTUGA_PORT, DEL_FUEGO_PORT, DEL_FUEGO_PORT_PULGAS, CUBA_PORT, KINGSHEAD_PORT),ANY_WILD_ISLAND: (ANVIL_ISLAND, DRIFTWOOD_ISLAND, RUMRUNNER_ISLE, ISLA_PERDIDA, OUTCAST_ISLE, ISLA_CANGREJOS, CUTTHROAT_ISLAND, ISLA_TORMENTA),ANY_WILD_PORT: (ANVIL_PORT, DRIFTWOOD_PORT, RUMRUNNER_PORT, PERDIDA_PORT, OUTCAST_PORT, CANGREJOS_PORT, CUTTHROAT_PORT, TORMENTA_PORT),ANY_ISLAND: (PORT_ROYAL_ISLAND, TORTUGA_ISLAND, DEL_FUEGO_ISLAND, CUBA_ISLAND, KINGSHEAD_ISLAND, RAVENS_COVE_ISLAND, PEARL_ISLAND, ANVIL_ISLAND, DRIFTWOOD_ISLAND, RUMRUNNER_ISLE, ISLA_PERDIDA, OUTCAST_ISLE, ISLA_CANGREJOS, CUTTHROAT_ISLAND, ISLA_TORMENTA, ISLA_AVARICIA, ISLA_DE_PORC),ANY_LOCATION: None}
    Location2Island = {RAMBLESHACK_ISLAND: RAMBLESHACK_ISLAND,RAMBLESHACK_INSIDE: RAMBLESHACK_INSIDE,PORT_ROYAL_ALL: PORT_ROYAL_ISLAND,PORT_ROYAL_ISLAND: PORT_ROYAL_ISLAND,PORT_ROYAL_PORT: PORT_ROYAL_ISLAND,PORT_ROYAL_FORT_CHARLES: PORT_ROYAL_ISLAND,PORT_ROYAL_CAVE_A: PORT_ROYAL_ISLAND,PORT_ROYAL_CAVE_B: PORT_ROYAL_ISLAND,PORT_ROYAL_JUNGLE_A: PORT_ROYAL_ISLAND,PORT_ROYAL_JUNGLE_B: PORT_ROYAL_ISLAND,PORT_ROYAL_JUNGLE_C: PORT_ROYAL_ISLAND,GOVERNORS_MANSION: PORT_ROYAL_ISLAND,GOVERNORS_MANSION_COURTYARD: PORT_ROYAL_ISLAND,PORT_ROYAL_GRAVEYARD: PORT_ROYAL_ISLAND,FORT_CHARLES: PORT_ROYAL_ISLAND,PORT_ROYAL_JAIL: PORT_ROYAL_ISLAND,FULLERS_BLACKSMITH: PORT_ROYAL_ISLAND,JUNEGREER_RESIDENCE: PORT_ROYAL_ISLAND,SMITTYS_JEWELRY: PORT_ROYAL_ISLAND,ROWDYROOSTER_TAVERN: PORT_ROYAL_ISLAND,ROYALANCHOR_TAVERN: PORT_ROYAL_ISLAND,GRAHAM_IMPORTS: PORT_ROYAL_ISLAND,EWANS_WEAPONS: PORT_ROYAL_ISLAND,OLD_WAREHOUSE: PORT_ROYAL_ISLAND,RSMITH_PEWTERER: PORT_ROYAL_ISLAND,SOLOMONS_TATTOOS: PORT_ROYAL_ISLAND,BASILS_BARBER: PORT_ROYAL_ISLAND,BLAKELEYS_RESIDENCE: PORT_ROYAL_ISLAND,TURNBULLS_WEAPONS: PORT_ROYAL_ISLAND,WALLACE_BLACKSMITH: PORT_ROYAL_ISLAND,TRUEHOUNDS_TAILOR: PORT_ROYAL_ISLAND,MCCRAKENS_WEAPONS: PORT_ROYAL_ISLAND,TORTUGA_ALL: TORTUGA_ISLAND,TORTUGA_ISLAND: TORTUGA_ISLAND,TORTUGA_PORT: TORTUGA_ISLAND,TORTUGA_JUNGLE_A_GRAVEYARD: TORTUGA_ISLAND,TORTUGA_JUNGLE_B_SWAMPY: TORTUGA_ISLAND,TORTUGA_JUNGLE_C: TORTUGA_ISLAND,TORTUGA_CAVE: TORTUGA_ISLAND,TORTUGA_SWAMP: TORTUGA_ISLAND,TORTUGA_JAIL: TORTUGA_ISLAND,TRADING_COMPANY: TORTUGA_ISLAND,FAITHFULBRIDE_TAVERN: TORTUGA_ISLAND,KINGSARM_TAVERN: TORTUGA_ISLAND,BOWDASH_MANSION: TORTUGA_ISLAND,WRIGHTS_BLACKSMITH: TORTUGA_ISLAND,FLATTS_WEAPONS: TORTUGA_ISLAND,VALLANCE_WEAPONS: TORTUGA_ISLAND,SEAMSTRESS_TAILOR: TORTUGA_ISLAND,DOCTOR_GROGS: TORTUGA_ISLAND,FLINTYS_BLACKSMITH: TORTUGA_ISLAND,ORINDAS_SHACK: TORTUGA_ISLAND,BOATSWAINS_HOUSE: TORTUGA_ISLAND,THAYERS_WEAPONS: TORTUGA_ISLAND,MILLIES_COTTAGE: TORTUGA_ISLAND,CALLECUTTERS_TAILOR: TORTUGA_ISLAND,LOCKSPINNERS_BARBER: TORTUGA_ISLAND,MINGS_JEWELRY: TORTUGA_ISLAND,BONITAS_TATTOOS: TORTUGA_ISLAND,SHIPCRASH_WEAPONS: TORTUGA_ISLAND,EITC_OUTPOST: TORTUGA_ISLAND,DEL_FUEGO_ALL: DEL_FUEGO_ALL,DEL_FUEGO_ISLAND: DEL_FUEGO_ISLAND,DEL_FUEGO_FORT_DUNDEE: DEL_FUEGO_ISLAND,DEL_FUEGO_PORT: DEL_FUEGO_ISLAND,DEL_FUEGO_PORT_PULGAS: DEL_FUEGO_ISLAND,DEL_FUEGO_CAVE_C: DEL_FUEGO_ISLAND,DEL_FUEGO_CAVE_D: DEL_FUEGO_ISLAND,DEL_FUEGO_CAVE_E: DEL_FUEGO_ISLAND,DEL_FUEGO_JUNGLE_B: DEL_FUEGO_ISLAND,DEL_FUEGO_JAIL: DEL_FUEGO_ISLAND,CESARS_BARBER: DEL_FUEGO_ISLAND,RATSKELLAR_TAVERN: DEL_FUEGO_ISLAND,CORAZON_TATTOOS: DEL_FUEGO_ISLAND,FERRERAS_BLACKSMITH: DEL_FUEGO_ISLAND,SKULLSTHUNDER_TAVERN: DEL_FUEGO_ISLAND,PERLAS_JEWELRY: DEL_FUEGO_ISLAND,ANTONLEVY_BLACKSMITH: DEL_FUEGO_ISLAND,GRIMSDITCH_WEAPONS: DEL_FUEGO_ISLAND,DOLORES_TAILOR: DEL_FUEGO_ISLAND,DEAFGUNNYS_WEAPONS: DEL_FUEGO_ISLAND,GARRETTS_HOUSE: DEL_FUEGO_ISLAND,GOSLIN_TAVERN: DEL_FUEGO_ISLAND,FLAVIOS_BARBER: DEL_FUEGO_ISLAND,BLANCAS_TAILOR: DEL_FUEGO_ISLAND,FOUSTOS_JEWELRY: DEL_FUEGO_ISLAND,PETES_WEAPONS: DEL_FUEGO_ISLAND,THORHAMMER_BLACKSMITH: DEL_FUEGO_ISLAND,GUNNERS_SHACK: DEL_FUEGO_ISLAND,NINAS_TATTOOS: DEL_FUEGO_ISLAND,CUBA_ISLAND: CUBA_ISLAND,CUBA_PORT: CUBA_ISLAND,CUBA_SWAMP: CUBA_ISLAND,CUBA_ALL: CUBA_ISLAND,CUBA_JAIL: CUBA_JAIL,KINGSHEAD_ISLAND: KINGSHEAD_ISLAND,KINGSHEAD_PORT: KINGSHEAD_ISLAND,KINGSHEAD_PORT_REAR: KINGSHEAD_ISLAND,KINGSHEAD_JAIL: KINGSHEAD_ISLAND,ANVIL_ISLAND: ANVIL_ISLAND,ANVIL_PORT: ANVIL_ISLAND,ANVIL_CAVE_BARBOSA: ANVIL_ISLAND,DRIFTWOOD_ISLAND: DRIFTWOOD_ISLAND,DRIFTWOOD_PORT: DRIFTWOOD_ISLAND,RUMRUNNER_ISLE: RUMRUNNER_ISLE,RUMRUNNER_PORT: RUMRUNNER_ISLE,RUMRUNNER_CELLAR: RUMRUNNER_ISLE,ISLA_PERDIDA: ISLA_PERDIDA,PERDIDA_PORT: ISLA_PERDIDA,PERDIDA_JUNGLE_B: ISLA_PERDIDA,OUTCAST_ISLE: OUTCAST_ISLE,OUTCAST_PORT: OUTCAST_ISLE,ISLA_TORMENTA: ISLA_TORMENTA,TORMENTA_PORT: ISLA_TORMENTA,TORMENTA_CAVE_B: ISLA_TORMENTA,CUTTHROAT_ISLAND: CUTTHROAT_ISLAND,CUTTHROAT_PORT: CUTTHROAT_ISLAND,ISLA_AVARICIA: ISLA_AVARICIA,ISLA_DE_PORC: ISLA_DE_PORC,ISLA_CANGREJOS: ISLA_CANGREJOS,CANGREJOS_PORT: ISLA_CANGREJOS,RAVENS_COVE_ALL: RAVENS_COVE_ISLAND,RAVENS_COVE_MINE: RAVENS_COVE_ISLAND,RAVENS_COVE_ISLAND: RAVENS_COVE_ISLAND}

def getParentIsland(locationId):
    return LocationIds.Location2Island.get(locationId)

def getLocationList(locationId):
    return LocationIds.LocationDefs.get(locationId)

def isInArea(location, area):
    if location == LocationIds.ANY_LOCATION:
        return (True, '')
    if area is None:
        return (False, '')
    locationList = getLocationList(location)
    if locationList:
        if area in locationList:
            return (True, '')
    else:
        warning = 'No location list for: %s' % location
        if location == area:
            return (True, warning)
        return (False, warning)
    return (False, '')